> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Associate workflow to organization

> Enable a compliance framework (workflow) for an organization, e.g. associate NIS 2 or ISO 27001:2023. This is what the GUI's "add framework" action does: afterwards the framework's controls, tasks and documents become available for evaluation. Get the workflow id from the available-workflows list.



## OpenAPI

````yaml post /api/v1/v-ciso/organizations/{organizationid}/workflows/{workflowid}
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/v-ciso/organizations/{organizationid}/workflows/{workflowid}:
    post:
      tags:
        - Cyber Assurance • Workflows
      summary: Associate workflow to organization
      description: 'Associate a workflow ID and name with an organization. '
      operationId: post-api-v1-organizations-workflows
      parameters:
        - in: path
          name: organizationid
          schema:
            type: integer
          description: Organization ID.
          required: true
        - in: path
          name: workflowid
          schema:
            type: string
          description: Workflow ID to associate.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkflowAssociate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/WorkflowAssociate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/WorkflowAssociate'
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  workflow:
                    type: string
                    description: The workflow ID that was associated to the organization.
              examples:
                Created:
                  value:
                    error: 0
                    messages: []
                    workflow: risk-qa
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
              examples:
                AlreadyExists:
                  value:
                    error: 1
                    messages: []
                  summary: Already Exists
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  schemas:
    WorkflowAssociate:
      type: object
      properties:
        name:
          type: string
          description: Human readable workflow name.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````